-- On commence par charger les différentes librairies utilisées par le jeu,
-- afin d'y avoir accès dans toutes les scènes et les modules du jeu

local Core  = require "core"
local Game  = require "game"

-- On charge après cela les différentes scènes, qui sont les différents types
-- d'écrant avec lesquels le joueur interagira
scenes      = require "scenes"

function love.load() -- On charge la scene de départ (pour l'instant le menu, bientôt une scene spéciale pour ça)
  core = Core()
  game = Game()
  game.pigmanager:addPig("cochon")

  scenes.MainMenu()
end
